%% Plots deterministic trajectories obtained from simulations.

% % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % %
%                                                                         %
%         NF-kB regulatory system with autocrine TNFa stimulation         %
%                                                                         %
% % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % %

function [] = NFkB_autocrine_plots(T,Y)

T = T/(60*60);

figure(1);

    sub1(1) = subplot(3,4,1);
        plot(T,Y(:,2));
        title('IKKK active');

    sub1(2) = subplot(3,4,2);
        plot(T,Y(:,4));
        title('IKK neutral');
        
    sub1(3) = subplot(3,4,3);
        plot(T,Y(:,3));
        title('IKK active');
        
    sub1(4) = subplot(3,4,4);
        plot(T,Y(:,5));
        title('IKK inactive');

    sub1(5) = subplot(3,4,5);
        plot(T,Y(:,11));
        title('I\kappaB\alpha_p cytoplasmic');

    sub1(6) = subplot(3,4,6);
        plot(T,Y(:,15));
        title('(I\kappaB\alpha_p:NF-\kappaB) cytoplasmic');

    sub1(7) = subplot(3,4,7);
        plot(T,Y(:,12));
        title('NF-\kappaB cytoplasmic');

    sub1(8) = subplot(3,4,8);
        plot(T,Y(:,13));
        title('NF-\kappaB nuclear');
  
    sub1(9) = subplot(3,4,9);
        plot(T,Y(:,7));
        title('A20 cytoplasmic');

    sub1(10) = subplot(3,4,10);
        plot(T,Y(:,6));
        title('A20 mRNA'); 

    sub1(11) = subplot(3,4,11);
         plot(T,Y(:,9));
         title('I\kappaB\alpha cytoplasmic');

    sub1(12) = subplot(3,4,12);
        plot(T,Y(:,10));
        title('I\kappaB\alpha nuclear');

    set(sub1,'xlim',[0 T(end)]);
    set(sub1,'XGrid','on');
    set(sub1,'YGrid','on');


figure(2);

    sub2(1) = subplot(3,4,1);
        plot(T,Y(:,8));
        title('I\kappaB\alpha mRNA');

    sub2(2) = subplot(3,4,2);
        plot(T,Y(:,14));
        title('(I\kappaB\alpha:NF-\kappaB) cytoplasmic');

    sub2(3) = subplot(3,4,3);
        plot(T,Y(:,25));
        title('(I\kappaB\alpha:NF-\kappaB) nuclear');

    sub2(4) = subplot(3,4,4);
        plot(T,Y(:,1));
        title('TNFR active');

    sub2(5) = subplot(3,4,5);
        plot(T,Y(:,19));
        title('A20 gene state');

    sub2(6) = subplot(3,4,6);
        plot(T,Y(:,20));
        title('I\kappaB\alpha gene state');

    sub2(7) = subplot(3,4,7);
        plot(T,Y(:,18));
        title('TNF\alpha extracellular');

    sub2(8) = subplot(3,4,8);
        plot(T,Y(:,21));
        title('TNF\alpha gene state');

    sub2(9) = subplot(3,4,9);
        plot(T,Y(:,16));
        title('TNF\alpha mRNA');

    sub2(10) = subplot(3,4,10);
        plot(T,Y(:,17));
        title('TNF\alpha intracellular');

    sub2(11) = subplot(3,4,11);
        plot(T,Y(:,24));
        title('IKK inactive intermediate');

    sub2(12) = subplot(3,4,12);
      plot(T,Y(:,23));
      title('IKKK neutral');

    set(sub2,'xlim',[0 T(end)]);
    set(sub2,'XGrid','on');
    set(sub2,'YGrid','on');


figure(3)
    plot(Y(:,13), (Y(:,14)+Y(:,25)+Y(:,11)+Y(:,15)+Y(:,9)+Y(:,10))/10^5);
    title('Parametric plot');
    xlabel('NF-\kappaB nuclear')
    ylabel('I\kappaB\alpha total');
    grid on;
